#ifndef LSF_H_
#define LSF_H_
#include "util.h"
#include "wios.h"
#include "alsa.h"

#define SF_FORMAT_UNKNOWN 0x990000

static const int byte_per_item[] = {
	sizeof(uint8_t),
	sizeof(int16_t),
	sizeof(int24_t),
	sizeof(int32_t),
	-1
};

typedef int sf_pcm_format_t;

extern wios_pcm_format_t lsf_determin_format(sf_pcm_format_t sf_fmt);
extern void lsf_init_write(wios_file_t * ft, lsf_t * sf);
extern void lsf_init_read(lsf_t * sf);
extern wios_file_t * lsf_open_write(wios_file_t * ft);
extern wios_file_t * lsf_open_read(wios_file_t * ft);
extern int lsf_file_write(wios_file_t * ft, int32_t * buf, int len);
extern int lsf_file_read(wios_file_t * ft, int32_t * buf, int len);
#endif
